Public Member Functions | Private Member Functions | Private Attributes

# SpeedWindow Class Reference

Inheritance diagram for SpeedWindow:

## Public Member Functions
| SpeedWindow (const WindowDesc *desc, SignalReference ref)
void | ShowChangeSpeedLimit ()
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.
virtual void | OnQueryTextFinished (char *str)
| The query window opened from this window has closed.
void | SetSpeedLimit (uint16 speed)
virtual void | OnPaint ()
| The window must be repainted.
virtual void | OnInvalidateData (int data=0, bool gui_scope=true)
| Some data on this window has become invalid.
virtual void | SetStringParameters (int widget) const
| Initialize string parameters for a widget.
## Private Member Functions
Owner | GetOwner ()
## Private Attributes
TileIndex | tile
Track | track

## Detailed Description

Definition at line 784 of file programmable_signals_gui.cpp.

## Member Function Documentation

virtual void SpeedWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from Window.

Definition at line 806 of file programmable_signals_gui.cpp.

virtual void SpeedWindow::OnInvalidateData | ( | int | data = `0`,
|  | bool | gui_scope = `true` |
| ) |  |  | `[inline, virtual]`

Some data on this window has become invalid.

Parameters:

  | data | information about the changed data.
  | gui_scope | Whether the call is done from GUI scope. You may not do everything when not in GUI scope. See InvalidateWindowData() for details.

Reimplemented from Window.

Definition at line 853 of file programmable_signals_gui.cpp.

References NWidgetCore::SetDataTip().

virtual void SpeedWindow::OnPaint | ( |  | ) | `[inline, virtual]`

The window must be repainted.

Note:
  This method should not change any state, it should only use drawing functions.

Reimplemented from Window.

Definition at line 841 of file programmable_signals_gui.cpp.

References _local_company, Window::DisableWidget(), Window::DrawWidgets(), and Window::EnableWidget().

virtual void SpeedWindow::OnQueryTextFinished | ( | char * | str | ) | `[inline, virtual]`

The query window opened from this window has closed.

Parameters:

  | str | the new value of the string, NULL if the window was cancelled or an empty string when the default button was pressed, i.e. StrEmpty(str).

Reimplemented from Window.

Definition at line 820 of file programmable_signals_gui.cpp.

References ConvertDisplaySpeedToSpeed(), Window::SetWidgetDirty(), Window::SetWidgetLoweredState(), and StrEmpty().

virtual void SpeedWindow::SetStringParameters | ( | int | widget | ) | const`[inline, virtual]`

Initialize string parameters for a widget.

Calls to this function are made during initialization to measure the size (that is as part of InitNested()), during drawing, and while re-initializing the window. Only for widgets that render text initializing is requested.

Parameters:

  | widget | Widget number.

Reimplemented from Window.

Definition at line 865 of file programmable_signals_gui.cpp.

References SetDParam().

The documentation for this class was generated from the following file:

- src/programmable_signals_gui.cpp